Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.blogspot.applications4android.comicreader.numpicker
Class NumberPickerButton

    java.lang.Object
      ImageButton
          com.blogspot.applications4android.comicreader.numpicker.NumberPickerButton

    public class NumberPickerButton

extends ImageButton

This class exists purely to cancel long click events.

Constructor Summary
`NumberPickerButton(Context context)`
`NumberPickerButton(Context context, AttributeSet attrs)`
`NumberPickerButton(Context context, AttributeSet attrs, int defStyle)`

Method Summary
`boolean` | `onKeyUp(int keyCode, KeyEvent event)`
`boolean` | `onTouchEvent(MotionEvent event)`
`boolean` | `onTrackballEvent(MotionEvent event)`
`void` | `setNumberPicker(NumberPicker picker)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberPickerButton

    public NumberPickerButton(Context context,
                              AttributeSet attrs,
                              int defStyle)

### NumberPickerButton

    public NumberPickerButton(Context context,
                              AttributeSet attrs)

### NumberPickerButton

    public NumberPickerButton(Context context)

Method Detail

### setNumberPicker

    public void setNumberPicker(NumberPicker picker)

### onTouchEvent

    public boolean onTouchEvent(MotionEvent event)

### onTrackballEvent

    public boolean onTrackballEvent(MotionEvent event)

### onKeyUp

    public boolean onKeyUp(int keyCode,
                           KeyEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD